# Generated from latex_curriculum_vitae-2.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name latex_curriculum_vitae

Name: rubygem-%{gem_name}
Version: 2.1.6
Release: 1%{?dist}
Summary: Tool to write your job applications
License: GPL-3.0
URL: https://github.com/saigkill/latex_curriculum_vitae
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
BuildArch: noarch

%description
latex_curriculum_vitae is a Rubygem which help you to write your job
applications. The program aks you for all relevant data for compiling
the curriculum vitae. It builds the motivational letter (if chosen in the
gui), the cover and the cv.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/latexcv.rb
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/MAINTENANCE.md
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_instdir}/etc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 2.1.6-1
- Initial package
